Bug 1028999 - -a option does not work for oo-install tools
-a option does not work for oo-install tools
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 07:59 EST by Johnny Liu
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-11-11 07:59:09 EST
Description of problem:
Run oo-install with -a option, user can not customize message server and db server to separated machines. Seem like -a option is ignore.


Version-Release number of selected component (if applicable):
oo-install-ose-2.0b-20131108-2228

How reproducible:
Always


Steps to Reproduce:
1.Make sure there is no ~/.openshift/oo-install-cfg.yml
2.Run oo-install with -a option
$ ./oo-install -e -a
3.

Actual results:
The guide will install a all-in-one machine, user can not customize message server and db server to separated machines.

Expected results:
User could customize message server and db server to separated machines with -a option.

Additional info:
Comment 2 Luke Meyer 2013-11-11 09:10:52 EST
This is a matter of getting the parameters passed from the bootstrap script to the actual installer.

Two simple workarounds for the moment:
1. run with "-e -a" in quotes.
2. just run with -a ; -e is assumed by the ose-specific install scripts

To make this work in a less surprising way I think we should change the following in the bootstrap script:

# Grab command-line arguments
args=("$@")
[...]
GEM_PATH=$GEMPATH RUBYLIB=$RUBYLIB OO_INSTALL_CONTEXT=ose sh -c "${TMPDIR}oo-install-ose-2.0b-20131108-2228/bin/oo-install $@"

To this:
# Grab command-line arguments
cmdlnargs="$@"
[...]
GEM_PATH=$GEMPATH RUBYLIB=$RUBYLIB OO_INSTALL_CONTEXT=ose sh -c "${TMPDIR}oo-install-ose-2.0b-20131108-2228/bin/oo-install $cmdlnargs"

This seems to pass through the args as expected, whether quoted or not, and whether added to the end of "sh <(curl ...)" or just directly on the downloaded script.
Comment 3 Luke Meyer 2013-11-11 12:57:25 EST
Script has been updated re https://github.com/openshift/openshift-extras/pull/169
Comment 4 Johnny Liu 2013-11-12 02:29:39 EST
Verified this bug with oo-install-ose-2.0b-20131111-2053 and PASS.

Run "./oo-install -e -a" and "./oo-install -e", you will see the difference. -a option takes effect now.

Note You need to log in before you can comment on or make changes to this bug.